/* used as a border of large controls (like grids, diagram) */
/* used as a background below a page in richedit/diagram */
/* used as a border of large controls (like grids, diagram) */
/* used as a background below a page in richedit/diagram */
/* used as a border of large controls (like grids, diagram) */
/* used as a background below a page in richedit/diagram */
.dxtlControl_cc
{
    cursor: default;
    font: 12px Tahoma, Geneva, sans-serif;
    color: black;
    border: 1px solid #4f93e3;
}
.dxtlControl_cc caption
{
    background: #0f439d url('CaptionBack.gif') repeat-x center top;
    color: White;
    border-bottom: 0 solid #4f93e3;
    border: 1px solid #4f93e3;
    font-weight: bold;
    padding: 3px 3px 4px;
    text-align: center;
}
/* Indent cells */
.dxtlIndent_cc,
.dxtlIndentWithButton_cc
{
    vertical-align: top;
    background: white none no-repeat top center;
}
.dxtlIndent_cc
{
    padding: 0 11px;
}
.dxtlIndentWithButton_cc
{
    padding: 5px 6px;
}
.dxtlSelectionCell_cc
{
    border: 1px solid #bfd3ee;
}
/* Tree-lines cells */
.dxtlLineRoot_cc
{
    background: White url('CssImages/TreeLineRoot.gif') repeat-y top center;
}
.dxtlLineFirst_cc
{
    background-image: url('CssImages/TreeLineFirst.gif');
}
.dxtlLineMiddle_cc
{
    background-image: url('CssImages/TreeLineMiddle.gif');
}
.dxtlLineLast_cc
{
    background-image: url('CssImages/TreeLineLast.gif');
}
.dxtlLineFirstRtl_cc
{
    background-image: url('CssImages/TreeLineFirstRtl.gif');
}
.dxtlLineMiddleRtl_cc
{
    background-image: url('CssImages/TreeLineMiddleRtl.gif');
}
.dxtlLineLastRtl_cc
{
    background-image: url('CssImages/TreeLineLastRtl.gif');
}
/* Headers */
.dxtlHeader_cc,
.dxtlControl_cc .dxtlHSDC
{
    background: #94b6e8 url('CssImages/HeaderBack.gif') repeat-x;
}
.dxtlHeader_cc
{
    border: 1px solid #4f93e3;
    padding: 4px 6px 5px;
    font-weight: normal;
}
.dxtlHeader_cc table.dxtl
{
    border-collapse: collapse;
    width: 100%;
}
.dxtlHeader_cc td.dxtl
{
    padding: 0;
}
.dxtlHeader_cc,
.dxtlHeader_cc td.dxtl
{
    white-space: nowrap;
    text-align: left;
    overflow: hidden;
}
/* Nodes */
.dxtlNode_cc
{
    background: white none;
}
.dxtlAltNode_cc
{
    background: #f5e9f9 none;
}
.dxtlSelectedNode_cc
{
    background: #ffc076 none;
}
.dxtlFocusedNode_cc
{
    background: #fff2c8 url('CssImages/FocusedBack.gif') repeat-x center bottom;
}
.dxtlInlineEditNode_cc
{
    background: #c1d7f8 none;
}
.dxtlEditFormDisplayNode_cc
{
    background: #e1f7ff none;
}
.dxtlNode_cc td.dxtl,
.dxtlAltNode_cc td.dxtl,
.dxtlSelectedNode_cc td.dxtl,
.dxtlFocusedNode_cc td.dxtl,
.dxtlEditFormDisplayNode_cc td.dxtl,
.dxtlCommandCell_cc
{
    padding: 3px 6px 4px;
    border: 1px solid #bfd3ee;
    white-space: nowrap;
    overflow: hidden;
}
.dxtlHeader_cc .dxbButton_cc,
.dxtlCommandCell_cc .dxbButton_cc
{
    margin: 1px 2px -2px;
}
.dxtlHeader_cc .dxbButton_cc .dxb,
.dxtlCommandCell_cc .dxbButton_cc .dxb
{
    padding-top: 0;
    padding-bottom: 2px;
}
.dxtlInlineEditNode_cc td.dxtl
{
    border: 1px solid #bfd3ee;
    padding: 1px;
}
/* Preview */
.dxtlPreview_cc
{
    background: #e9f3fe none;
    padding: 14px;
    border: 1px solid #bfd3ee;
    overflow: hidden;
}
/* Footers */
.dxtlGroupFooter_cc
{
    background-color: #a9c5ed;
}
.dxtlControl_cc .dxtlFSDC,
.dxtlFooter_cc
{
    background-color: #94B6E8;
}
.dxtlGroupFooter_cc td.dxtl,
.dxtlFooter_cc td.dxtl
{
    padding: 5px 6px 6px;
    white-space: nowrap;
    border: 1px solid #bfd3ee;
    overflow: hidden;
}
.dxtlGroupFooter_cc .dx-ar > br,
.dxtlFooter_cc .dx-ar > br
{
    float: none;
}
/* Pagers */
.dxtlPagerTopPanel_cc
{
    border-bottom: 1px solid #4f93e3;
}
.dxtlPagerBottomPanel_cc
{
    border-top: 1px solid #4f93e3;
}
.dxtlPagerTopPanel_cc,
.dxtlPagerBottomPanel_cc
{
    background: white none;
    padding-top: 1px;
}
/* Toolbars */
.dxtlControl_cc .dxctToolbar_cc.dxm-main.dxtlCTTop
{
    border-bottom: 1px solid #4f93e3;
}
.dxtlControl_cc .dxctToolbar_cc.dxm-main.dxtlCTBottom
{
    border-top: 1px solid #4f93e3;
}
/* Editing */
.dxtlEditForm_cc
{
    background: #c1d7f8 none;
    border: 1px solid #bfd3ee;
    padding: 8px 10px 10px;
}
.dxtlEditFormCaption_cc,
.dxtlEditFormEditCell_cc
{
    padding: 4px;
}
.dxtlEditFormCaption_cc
{
    padding-left: 10px;
    white-space: nowrap;
}
.dxtlError_cc
{
    background: #FFC8C8 none;
    color: #FF0000;
    padding: 6px 10px;
    border: 1px solid #cfcfcf;
}
.dxtlPopupEditForm_cc
{
    padding: 12px;
}
/* Links */
.dxtlControl_cc a.dxeHyperlink:not([href]):not([onclick]):not(.dxbButtonSys)
{
    color: black;
    text-decoration: none;
}
.dxtlControl_cc a,
.dxtlCommandCell_cc a
{
    color: black;
}
.dxtlCommandCell_cc a
{
    margin-right: 3px;
}
/* Loading panel */
.dxtlLoadingPanel_cc
{
    font: 12px Tahoma, Geneva, sans-serif;
    color: #4B77B8;
    border: 1px solid #4F93E3;
    background-color: White;
}
.dxtlLoadingPanel_cc td.dx
{
    white-space: nowrap;
    text-align: center;
    padding: 12px;
}
.dxtlLoadingPanel_cc .dxlp-loadingImage
{
    background-image: url('../Web/Loading.gif');
    height: 18px;
    width: 18px;
}
/* Disabled */
.dxtlDisabled_cc,
.dxtlDisabled_cc .dxtl_cc
{
    color: #808080;
    cursor: default;
}
/*batch*/
.dxtlControl_cc .dxtlBatchEditDeletedNode_cc,
.dxtlControl_cc .dxtlBatchEditNewNode_cc.dxtlBatchEditDeletedNode_cc,
.dxtlControl_cc .dxtlBatchEditDeletedNode_cc .dxtlPreview_cc
{
    background: #EFEFEF;
}
.dxtlControl_cc td.dxtlBatchEditCell_cc:not(.dxBatchEditCheckBoxCell)
{
    padding: 0 2px;
}
.dxtlControl_cc td.dxtlBatchEditModifiedCell_cc
{
    background: #d7f9c7;
}
.dxtlBatchEditDeletedNode_cc > td:not(.dxtlCommandColumn)_cc
{
    color: rgba(0,0,0,0.5);
}
.dxtlBatchEditDeletedNode_cc td.dxtlBatchEditModifiedCell_cc
{
    background: #eefbe7;
}
.dxtlControl_cc .dxtlBatchEditNewNode_cc
{
    background: #F0FAEA;
}
.dxtlFocusedCell_cc
{
    box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
    -webkit-box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
    -moz-box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
}
.dxtlControl_cc .dxtlErrorCell
{
    padding-left: 5px;
    width: 1px;
}
.dxtlControl_cc .dxtlErrorCell img
{
    margin: -3px 0;
}
/* Filtering */
.dxtlFilterRow_cc
{
    background-color: #94b6e8;
}
.dxtlFilterRow_cc > td
{
    border-bottom: 1px Solid #4f93e3;
    border-right: 1px Solid #4f93e3;
    border-top-width: 0;
    border-left-width: 0;
    padding: 2px;
    overflow: hidden;
}
.dxtlSearchPanel_cc
{
    padding: 7px;
    background-color: #a4c6f8;
    border-bottom: 1px solid #4f93e3;
}
.dxtlSearchPanel_cc > table
{
    width: 70%;
    max-width: 450px;
}
*[dir="rtl"].dxtlControl_cc .dxtlSearchPanel_cc .dxbButton_cc
{
    margin-left: 0;
    margin-right: 7px;
}
/* TODO remove (replace to command button style) */
.dxtlControl_cc .dxtlSearchPanel_cc .dxbButton_cc
{
    font-size: 0.9em;
    margin-top: -2px;
    margin-bottom: -2px;
}
.dxtlControl_cc .dxtlSearchPanel_cc .dxbButton_cc .dxb
{
    padding-top: 0;
    padding-bottom: 0;
}
.dxtlControl_cc .dxbButton_cc
{
    margin-left: 7px;
    margin-right: 0;
}
.dxtlFilterBar_cc
{
    border-top: 1px solid #4f93e3;
    background: #A8C5F5 none;
}
.dxtlFilterBar_cc a
{
    color: #394ea2;
    text-decoration: underline;
}
.dxtlFilterBarCheckBoxCell_cc
{
    padding: 0 7px 0 3px;
}
.dxtlFilterBarImageCell_cc
{
    padding: 0 1px 0 3px;
    cursor: pointer;
}
.dxtlFilterBarExpressionCell_cc
{
    padding: 5px 5px 8px 0;
    white-space: nowrap;
}
.dxtlFilterBarClearButtonCell_cc
{
    padding: 5px 6px 8px;
}
dxtlFilterBuilderMainArea_cc
{
    background: white none;
    padding: 6px 2px;
}
.dxtlFilterBuilderButtonArea_cc
{
    background: #ededed none;
    border-top: 1px solid #4f93e3;
    padding: 6px;
    white-space: nowrap;
}
.dxtlControl_cc .dxtlHFSD
{
    height: 1px;
    margin: 2px 0;
}
.dxtlControl_cc .dxtlHFDRC
{
    margin: 15px 15px 25px;
}
.dxtlControl_cc .dxtlHFDRP
{
    margin-left: 15px;
    margin-right: 15px;
    padding: 9px 0 6px;
}
.dxtlControl_cc .dxtlHFDRP[id*="HFFDE"]
{
    margin-top: 15px;
    margin-bottom: 5px;
}
.dxtlControl_cc .dxtlHFDRP[id*="HFTDE"]
{
    margin-bottom: 25px;
}
